Đến nội dung


Hình ảnh
- - - - -

[Yêu cầu] Lisp insert field file name bỏ đi một số ký tự


  • Please log in to reply
42 replies to this topic

#1 ngbmanh

ngbmanh

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 16 April 2012 - 10:32 PM

Gửi mọi người
Mình có 1 yêu cầu nho nhỏ mong mọi người giúp đỡ với.
Hiện tại mình có 1 file cad mình đặt tên là: ABC-XXX-C1
Nhưng mình chỉ muốn lấy insert field cho filename chỉ là: ABC-XXX tức là bỏ đi 3 ký tự cuối.
Mong mọi người giúp đỡ cái. Thank.
"chắc đề cũng rõ rồi, không phải chụp hình nữa chứ chủ thớt nhỉ"
  • 0

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 16 April 2012 - 11:03 PM

Chủ thớt chính là bạn mà ^^
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 903 Bài viết
Điểm đánh giá: 505 (tốt)

Đã gửi 16 April 2012 - 11:36 PM

=)) nửa đêm đọc bài này của bạn chủ thớt cười như điên!
Bạn Chủ thớt đâu rồi, mau vào giúp đỡ bạn chủ thớt đi =))

có fải bài này được tách ra từ topic khác không nhỉ? :lol:
  • 0

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#4 ngbmanh

ngbmanh

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 17 April 2012 - 07:12 AM

Hì, thông cảm nha, hôm qua về mệt quá, lâu rồi lại chưa quay lại forum
cáo lỗi cáo lỗi
  • 0

#5 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 17 April 2012 - 07:35 AM

Vinh dự nhá ^^
http://www.cadviet.c...ndpost&p=197113

Về yêu cầu của bạn thì đây :

(defun c:test()(vl-load-com)
(vla-addmtext (vla-get-block (vla-get-activelayout(vla-get-activedocument (vlax-get-acad-object))))
(vlax-3d-point (getpoint "\nDiem chen Field"))
1
(strcat "%<$(substr, $(getvar, dwgname), 1 ,$(-, $(strlen, $(getvar, dwgname))," (itoa (getint "\nSo ky tu muon cat bot:")) ")) >%")
))

  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#6 ngbmanh

ngbmanh

    biết pan

  • Members
  • Pip
  • 9 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 17 April 2012 - 09:04 AM

Cảm ơn Moderator nhiều lắm.
  • 0

#7 lankhoiphieudu

lankhoiphieudu

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 19 April 2012 - 11:00 AM

Dear Moderator,

Nhờ bạn chỉnh dùm mình được ko. Cũng tương tự như ngbmanh, nhưng giả sử file của mình có số kí tự thay đổi, mình muốn lấy 1 vài ký tự tính từ bên trái (giả sử lấy 4 ký tự 21-22-23-24) thì như thế nào
Thanks bạn nhiều
  • 0

#8 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 19 April 2012 - 11:16 AM

21-22-23-24 là 11 ký tự bạn ạ :D
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#9 lankhoiphieudu

lankhoiphieudu

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 23 April 2012 - 05:20 PM

Ý mình là kí tự thứ 23-24-25-26
Ví dụ: Mình có các file là :
ABC-XXXX-1-AS-RP-TP3-1221-00 Report of weight
ABC-XXXX-1-AS-RP-TP3-1268-00 Detail and Layout
ABC-XXXX-1-AS-RP-TP3-1297-00 Calculation


Giờ mình muốn lấy field của 1221-00 hoặc 1268-00 hoặc 1397-00 ấy, bạn giúp mình nhé
Thanks bạn nhiều
  • 0

#10 lankhoiphieudu

lankhoiphieudu

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 03 May 2012 - 07:08 PM

ban oi, ban co cach nao giup minh chua
  • 0

#11 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 03 May 2012 - 09:16 PM

10 ngày rồi bạn mới ngó lại hén ^^ Dấu của bạn đâu ?
Bạn thử sửa dòng (strcat.....) thành :

(strcat "%<$(substr, $(getvar, dwgname)," (itoa (setq a (getint "\nBat dau tu so:"))) "," (itoa (getint "\nSo ky tu :")) ")>%")

xem có đúng không.
Srr vì mình ngồi máy k có CAD nên không test được
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#12 lankhoiphieudu

lankhoiphieudu

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 12 May 2012 - 05:08 PM

Thanks bạn, mình sẽ thử
  • 0

#13 lankhoiphieudu

lankhoiphieudu

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 12 May 2012 - 05:29 PM

Tình hình là ko được bạn ơi, bạn test lại giùm mình với
  • 0

#14 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 12 May 2012 - 05:51 PM

K được là k đc thế nào ?
Mình chỉ thấy nó tự quy định ký tự đầu là dấu " ", cò chẳng thấy k được chỗ nào. Chủ đề đã trả lời cách đây 9 ngày, chả hiểu bạn có cần thật hay thích thì hỏi

(defun c:test()(vl-load-com)
(vla-addmtext (vla-get-block (vla-get-activelayout(vla-get-activedocument (vlax-get-acad-object))))
(vlax-3d-point (getpoint "\nDiem chen Field"))
1
(strcat "%<$(substr, $(getvar, dwgname)," (itoa (1+ (setq a (getint "\nBat dau tu so:")))) "," (itoa (getint "\nSo ky tu :")) ")>%")
))
Nói luôn là diễn đàn k đồng tình việc tạo 2 hoặc nhiều nick để hút máu mọi người đâu. Bạn có thắc mắc thì cứ hỏi, ai cũng hỏi cả mà, không việc chi phải thay tên đổi nick bạn ạ :)
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#15 lankhoiphieudu

lankhoiphieudu

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 22 May 2012 - 07:37 AM

Dear bạn,

Thanks bạn nhiều, mình đã thử lại và đã ok. Sorry bạn vì gần đây mình phải đi công tác liên tục nên ko thường xuyên vào diễn đàn được. Thực sự là mình đang rất cần Lisp này để set-up 1 số form trong công việc bạn ạ. Thanks bạn 1 lần nữa nhé!
(À, mình chỉ có 1 nick này thôi bạn ạ, ko còn nick thứ 2 nữa đâu) Thanks so much!
  • 0

#16 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5679 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 22 May 2012 - 08:21 AM

ngbmanh (IP: 113.161.128.48)


lankhoiphieudu (IP: 113.161.128.48)
  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#17 lankhoiphieudu

lankhoiphieudu

    biết pan

  • Members
  • Pip
  • 7 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 06 June 2012 - 10:21 AM

ngbmanh (IP: 113.161.128.48)


lankhoiphieudu (IP: 113.161.128.48)


À, mình và ngbmanh làm cùng công ty, xài máy công ty nên chắc IP nó giống nhau bạn ạ
  • 0

#18 LoveLisp

LoveLisp

    biết lệnh extend

  • Members
  • PipPipPip
  • 195 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 17 December 2012 - 02:43 PM

Mình cũng tương tự, muốn lấy tên của Layer bỏ đi một số ký tự đầu tiên thì làm sao hả bạn? Ví dụ tên layer là "abc123" thì chỉ lấy "123" thôi.
  • 0

#19 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5447 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 17 December 2012 - 02:55 PM

Đổi tên layer hay chỉ lấy tên rồi cắt đầu nó? Cắt xong thì làm gì? Xuất đi đâu?...
  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#20 LoveLisp

LoveLisp

    biết lệnh extend

  • Members
  • PipPipPip
  • 195 Bài viết
Điểm đánh giá: 20 (tàm tạm)

Đã gửi 17 December 2012 - 03:17 PM

Dạ, yêu cầu thế này bác ạ:
- Chỉ lên một đối tượng để lấy tên layer
- Cắt đầu nó n ký tự
- Đè lên một cái text có sẵn
Cám ơn bác Hạ!
  • 0